Bug 983906 - [abrt] java-1.7.0-openjdk-1.7.0.25-2.3.10.4.fc19: os::abort(bool): Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.7.0-openjdk-1.7.0.25-2.3.10.4.fc19: os::abort(bool): Process /u...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:07da6d25080a4e121081968da79...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 04:45 EDT by Krasimir Chonov
Modified: 2013-12-10 04:24 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 04:24:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (179.47 KB, text/plain)
2013-07-12 04:45 EDT, Krasimir Chonov
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-12 04:46 EDT, Krasimir Chonov
no flags Details
File: core_backtrace (2.46 KB, text/plain)
2013-07-12 04:46 EDT, Krasimir Chonov
no flags Details
File: dso_list (11.15 KB, text/plain)
2013-07-12 04:46 EDT, Krasimir Chonov
no flags Details
File: environ (2.61 KB, text/plain)
2013-07-12 04:46 EDT, Krasimir Chonov
no flags Details
File: hs_err.log (104.86 KB, text/plain)
2013-07-12 04:46 EDT, Krasimir Chonov
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-12 04:46 EDT, Krasimir Chonov
no flags Details
File: maps (66.13 KB, text/plain)
2013-07-12 04:46 EDT, Krasimir Chonov
no flags Details
File: open_fds (5.62 KB, text/plain)
2013-07-12 04:46 EDT, Krasimir Chonov
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2013-07-12 04:46 EDT, Krasimir Chonov
no flags Details
File: var_log_messages (288 bytes, text/plain)
2013-07-12 04:46 EDT, Krasimir Chonov
no flags Details
File: xsession_errors (85.02 KB, text/plain)
2013-07-12 04:46 EDT, Krasimir Chonov
no flags Details

  None (edit)
Description Krasimir Chonov 2013-07-12 04:45:53 EDT
Version-Release number of selected component:
java-1.7.0-openjdk-1.7.0.25-2.3.10.4.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 3
cmdline:        java -Dazureus.install.path=/home/krasimir/.azureus/app -Dazureus.script.version=2 -Dazureus.script=/usr/bin/azureus -Dorg.eclipse.swt.browser.UseWebKitGTK=true org.gudy.azureus2.ui.swt.Main
crash_function: os::abort(bool)
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jre/bin/java
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 os::abort(bool) at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jre/lib/amd64/server/libjvm.so
 #3 VMError::report_and_die() at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jre/lib/amd64/server/libjvm.so
 #4 JVM_handle_linux_signal at /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jre/lib/amd64/server/libjvm.so
 #6 Oxygen::MenuStateData::menuItemIsActive at /usr/src/debug/oxygen-gtk2-1.3.4/src/animations/oxygenmenustatedata.cpp:165
 #7 Oxygen::MenuStateData::updateItems at /usr/src/debug/oxygen-gtk2-1.3.4/src/animations/oxygenmenustatedata.cpp:153
 #8 Oxygen::MenuStateData::leaveNotifyEvent at /usr/src/debug/oxygen-gtk2-1.3.4/src/animations/oxygenmenustatedata.cpp:325
 #9 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #14 gtk_widget_event_internal at gtkwidget.c:5017
 #15 gtk_widget_event at gtkwidget.c:4814
 #16 gtk_main_do_event at gtkmain.c:1698
Comment 1 Krasimir Chonov 2013-07-12 04:45:59 EDT
Created attachment 772578 [details]
File: backtrace
Comment 2 Krasimir Chonov 2013-07-12 04:46:02 EDT
Created attachment 772579 [details]
File: cgroup
Comment 3 Krasimir Chonov 2013-07-12 04:46:06 EDT
Created attachment 772580 [details]
File: core_backtrace
Comment 4 Krasimir Chonov 2013-07-12 04:46:09 EDT
Created attachment 772581 [details]
File: dso_list
Comment 5 Krasimir Chonov 2013-07-12 04:46:13 EDT
Created attachment 772582 [details]
File: environ
Comment 6 Krasimir Chonov 2013-07-12 04:46:17 EDT
Created attachment 772583 [details]
File: hs_err.log
Comment 7 Krasimir Chonov 2013-07-12 04:46:20 EDT
Created attachment 772584 [details]
File: limits
Comment 8 Krasimir Chonov 2013-07-12 04:46:24 EDT
Created attachment 772585 [details]
File: maps
Comment 9 Krasimir Chonov 2013-07-12 04:46:27 EDT
Created attachment 772586 [details]
File: open_fds
Comment 10 Krasimir Chonov 2013-07-12 04:46:31 EDT
Created attachment 772587 [details]
File: proc_pid_status
Comment 11 Krasimir Chonov 2013-07-12 04:46:35 EDT
Created attachment 772588 [details]
File: var_log_messages
Comment 12 Krasimir Chonov 2013-07-12 04:46:38 EDT
Created attachment 772589 [details]
File: xsession_errors
Comment 13 Deepak Bhole 2013-07-12 15:16:03 EDT
Issue stems from Eclipse JNI code. Re-assigning.
Comment 14 Alexander Kurtakov 2013-07-25 11:28:52 EDT
Seems like SWT by using various gtk quirks exposes bug in oxygen-gtk2. As Gtk 2 is fading away you can try one of the following approaches:
* use different gtk2 theme
* run SWT_GTK3=1 eclipse to run eclipse on top of gtk3 (preview feature) and see whether it's good enough for you.
I doubt oxygen-gtk2 will see anymore development but I'll add its maintainers on CC.

Поздрави, 
Сашо :)
Comment 15 nucleo 2013-07-25 11:38:11 EDT
How crash can be reproduced?
Comment 16 Alexander Kurtakov 2013-12-10 04:24:26 EST
Closing the bug as no response for months.

Note You need to log in before you can comment on or make changes to this bug.